gr::satellites::varlen_packet_framer Class Reference

insert a packet length field into a tagged stream More...

`#include <varlen_packet_framer.h>`

Inheritance diagram for gr::satellites::varlen_packet_framer:
[legend]

## Public Types

typedef boost::shared_ptr< varlen_packet_framer > | sptr

## Static Public Member Functions

static sptr | make (const std::string &packet_key, int length_field_size, endianness_t endianness, bool use_golay, const std::vector< uint8_t > sync_word)

## Detailed Description

insert a packet length field into a tagged stream

input: stream of bits (unpacked bytes) with packet_len tags output: a tagged stream of bits containing field length + packet bits

This block prepends a packet length field into a tagged stream.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<varlen_packet_framer> gr::satellites::varlen_packet_framer::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::varlen_packet_framer::make | ( | const std::string & | packet_key,
|  | int | length_field_size,
|  | endianness_t | endianness,
|  | bool | use_golay,
|  | const std::vector< uint8_t > | sync_word
| ) |  |

static

Parameters

  packet_key | tag key used to mark packets
  length_field_size | size of the packet length header
  endianness | header inserted msb or lsb
  use_golay | compute 24-bit golay header from 12-bit length
  sync_word | optional pre-header sync pattern

The documentation for this class was generated from the following file:

- varlen_packet_framer.h